1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen

Java VM Problem

Dieses Thema im Forum "PHP & Co." wurde erstellt von Slashwalker, 22.11.08.

  1. Slashwalker

    Slashwalker Winterbanana

    Dabei seit:
    15.05.06
    Beiträge:
    2.190
    ARGH! Hilfe!

    Ich wollte mir gerade ColdFusion8 64Bit installieren (Application Server). Nun meldet das Setup:
    Error: Unsupported Platform
    This installer will run only on 64 bit mac-intel. PPC and 32 bit mac-intel are not supported. If this is a 64 bit mac-intel, make sure 64 bit JDK is the default JVM.
    Close this installer and restart installation using a 32 bit installer.

    Ich habe den 64Bit schon oft unter 10.5 installiert, es gab nie Probleme!:mad:

    Laut Java Einstellungen (Dienstprogramme) ist die Reihenfolge:
    Java SE 6 64-Bit
    J2SE 5.0 64-Bit
    J2SE 5.0 32-Bit
    JS2E 1.4.2 32-Bit

    $java -version sagt:
    java version "1.5.0_16"
    Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_16-b06-284)
    Java HotSpot(TM) 64-Bit Server VM (build 1.5.0_16-133, mixed mode)

    Ich habe bereits folgendes innerhalb /System/Library/Frameworks/JavaVM.framework/Versions Versucht:
    $sudo rm CurrentJDK
    $sudo ln -s 1.6 CurrentJDK

    $java -version sagt immer noch:
    java version "1.5.0_16"
    Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_16-b06-284)
    Java HotSpot(TM) 64-Bit Server VM (build 1.5.0_16-133, mixed mode)

    Any idea?o_O

    Edith meint: Versuch es mal mit stumpfer Gewalt.

    Also probieren wir mal
    $cd /System/Library/Frameworks/JavaVM.framework/Versions
    $sudo rm -rf 1.3
    $sudo rm -rf 1.3.1
    $sudo rm -rf 1.4
    $sudo rm -rf 1.4.1
    $sudo rm -rf 1.4.2
    $sudo rm -rf 1.5
    $sudo rm -rf 1.5.0
    $java -version

    Und siehe da:
    java version "1.6.0_07"
    Java(TM) SE Runtime Environment (build 1.6.0_07-b06-153)
    Java HotSpot(TM) 64-Bit Server VM (build 1.6.0_07-b06-57, mixed mode)

    In Dienstprogramme -> Java -> Java-Einstelungen steht nu bei Java-Applet-Versionen und Java-Anwendungsversionen nur noch ein Eintrag:

    Java SE 6 64-Bit

    Aber der Installer meckert immer noch:mad:
     
    #1 Slashwalker, 22.11.08
    Zuletzt bearbeitet: 22.11.08

Diese Seite empfehlen